Bug 140560 - 500 regarding no SSL cert after you choose to skip SSL generation
500 regarding no SSL cert after you choose to skip SSL generation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
All Linux
high Severity medium
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
http://rhnblade4.rhndev.redhat.com/in...
:
Depends On:
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-11-23 11:54 EST by Max Spevack
Modified: 2007-08-06 11:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 13:15:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-11-23 11:54:09 EST
Description of problem:

I chose not to configure SSL, and then received a 500 that seems to be
related to SSL not being configured.

ERROR: CA SSL certificate file or RPM not found
[Tue Nov 23 11:54:56 2004] [error] Execution of
/var/www/html/install/gen_bootstrap.pxt failed at Tue Nov 23 11:54:56
2004: RHN::Exception: (bootstrap_script_creation_failed) Could not
find the CA certificate!  RHN::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/RHN/SatInstall.pm
636 RHN::Exception::throw!  Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
1329 RHN::SatInstall::generate_bootstrap_scripts! 
Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
112 Sniglets::SatInstall::gen_bootstrap_cb!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
611 Sniglets::SatInstall::satinstall_form_cb!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 PXT::ApacheHandler::pxt_parse_data! PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 (eval)!  main /dev/null 0 PXT::ApacheHandler::handler!  main
/dev/null 0 (eval)
[Tue Nov 23 11:54:57 2004] [error] Traceback sent to
mspevack@redhat.com at
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
line 721.

****************
Contents of traceback email:

The following exception occured while executing this request:
 POST /install/gen_bootstrap.pxt HTTP/1.1 (from browser)
 /install/gen_bootstrap.pxt (from Apache)
                                                                     
                                                                     
                                        
Date:
  Tue Nov 23 11:54:56 2004
                                                                     
                                                                     
                                        
Headers:
  Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
  Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Accept-Encoding: gzip,deflate
  Accept-Language: en-us,en;q=0.5
  Connection: keep-alive
  Content-Length: 337
  Content-Type: application/x-www-form-urlencoded
  Cookie:
rh_auth_token=2158808:1101228262xadc0b635824bc0a1b235e0f425ade7c5;
pxt-session-cookie=1x8fc3885907ab156caacaa5f9bcb95389
  Host: rhnblade4.rhndev.redhat.com
  Keep-Alive: 300
  Referer: http://rhnblade4.rhndev.redhat.com/install/gen_bootstrap.pxt
  User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0
                                                                     
                                                                     
                                        
Form variables:
  -gpg => 1
  -hostname => rhnblade4.rhndev.redhat.com
  -http-proxy =>
  -http-proxy-password =>
  -http-proxy-username =>
  -ssl => 1
  -ssl-cert => /var/www/html/pub/RHN-ORG-TRUSTED-SSL-CERT
  Generate Bootstrap Script => Generate Bootstrap Script
  form_name => gen_bootstrap
  formvar_hmac => 2e5485dfe5d231878cfaef34b9ee3cc046bf3517
  pxt:trap => rhn:satinstall_form_cb
                                                                     
                                                                     
                                        
User Information:
(not logged in)
                                                                     
                                                                     
                                        
Error notes:
  (none)
                                                                     
                                                                     
                                        
Initial Request:
  Yes
                                                                     
                                                                     
                                        
Error message:
  RHN::Exception: (bootstrap_script_creation_failed) Could not find
the CA certificate
  RHN::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/RHN/SatInstall.pm
636 RHN::Exception::throw
  Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
1329 RHN::SatInstall::generate_bootstrap_scripts
  Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
112 Sniglets::SatInstall::gen_bootstrap_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
611 Sniglets::SatInstall::satinstall_form_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)

Version-Release number of selected component (if applicable):
-61 ISO
Comment 1 Robin Norwood 2004-11-23 16:01:21 EST
Ok - two problems here.

First, we shouldn't try to configure the SSL stuff if SSL is disabled.
 Second, we should catch and display this error.

Fixed in CVS.

Test plan:
First test:
1) Perform a satellite install.
2) Choose to create your satellite cert
3) Check the bootrap script page - among the options you should see:
  SSL cert location
  Enable SSL
4) The bootstrap script generation step should succeed.

Second test:
1) Perform a satellite install.
2) Choose to create the sat cert
3) After generating the sat cert, move the
/var/www/html/pub/RHN-ORG-TRUSTED-SSL-CERT file somewhere else.
4) Generate the bootstrap scripts, with SSL enabled.
  You should get an error message telling you it cannot find the file.

Third test:
1) Perform a satellite install.
2) Choose to not create the sat cert
3) Generate the bootstrap scripts.
  You should not be asked if you want to enable SSL, and you should
not get errors.
Comment 2 Chip Turner 2004-12-01 13:49:57 EST
mass change to ON_QA from QA push
Comment 3 Max Spevack 2004-12-03 14:28:04 EST
Tests 1 and 3 have passed.  Test 2 will be tested soon.
Comment 4 Max Spevack 2004-12-05 18:08:23 EST
Test 2 passes.  Bug verified.
Comment 5 Todd Warner 2005-03-22 13:15:41 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.